org.springframework.data.relational.core.sql

## Interface Insert

All Superinterfaces:
  Segment, Visitable

    public interface Insert
    extends Segment, Visitable

AST for a `INSERT` statement. Visiting order:

1. Self
2. `INTO table` clause
3. `columns`
4. `VALUEs`

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `StatementBuilder`, `InsertBuilder`, `SQL`

### Method Summary

All Methods Static Methods Default Methods
`static InsertBuilder` `builder()` Creates a new `InsertBuilder`.

### Methods inherited from interface org.springframework.data.relational.core.sql.Segment

`equals, hashCode, toString`

### Methods inherited from interface org.springframework.data.relational.core.sql.Visitable

`visit`

### Method Detail

#### builder

    static InsertBuilder builder()

Creates a new `InsertBuilder`.

Returns:
  a new `InsertBuilder`.